I wanted to let everyone know that we're aware of an issue with running the CheckSUR utility on systems that have Service Pack 2 installed on them.  When you attempt to run CheckSUR on these systems you will get the error below.

 

We're working on fixing this now and hope to have it resolved soon (sorry no definitive timetable right now).  I will update the post when we have a new version that works post SP2.  Luckily, there shouldnt be many issues with servicing post SP2.